// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class that contain the properties of a face.

#ifndef MODEL_FACE_H__
#define MODEL_FACE_H__

#include "../Math/Vector.h"

BEGIN_TEG_NAMESPACE();

class Face {
 public:
  // Face constructor and destructor.
  Face(Vec3i vertex_ = Vec3i(), Vec3i normal_ = Vec3i(), Vec3i texture_ = Vec3i());
  ~Face();

  // Attributes
  Vec3i vertex;		// Vextex indexes of the face
  Vec3i normal;		// Normals indexes of the face
  Vec3i texture;	// Texture indexes of the face
};

END_TEG_NAMESPACE();

#endif  // MODEL_FACE_H__
